All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::cuda::detail::spmv_alpha_beta Struct Reference

`#include <sparse_matrix_operations.hpp>`

## Static Public Member Functions

template<typename NumericT >
static __device__ void | apply (NumericT &result, NumericT alpha, NumericT Ax, NumericT beta)

## Detailed Description

Definition at line 127 of file sparse_matrix_operations.hpp.

## Member Function Documentation

template<typename NumericT >

static __device__ void viennacl::linalg::cuda::detail::spmv_alpha_beta::apply | ( | NumericT & | result,
|  | NumericT | alpha,
|  | NumericT | Ax,
|  | NumericT | beta
| ) |  |

inline static

Definition at line 130 of file sparse_matrix_operations.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/cuda/sparse_matrix_operations.hpp